
use strict;
use warnings;

use 5.006;

use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "Add the \$AUTHORITY variable and metadata to your distribution",
  "AUTHOR" => "Apocalypse <APOCAL\@cpan.org>",
  "BUILD_REQUIRES" => {
    "File::Find" => 0,
    "File::Temp" => 0,
    "Module::Build" => "0.3601",
    "Test::More" => "0.88"
  },
  "CONFIGURE_REQUIRES" => {
    "Module::Build" => "0.3601"
  },
  "DISTNAME" => "Dist-Zilla-Plugin-Authority",
  "EXE_FILES" => [],
  "LICENSE" => "perl",
  "NAME" => "Dist::Zilla::Plugin::Authority",
  "PREREQ_PM" => {
    "Dist::Zilla::Role::FileFinderUser" => "4.102345",
    "Dist::Zilla::Role::FileMunger" => "4.102345",
    "Dist::Zilla::Role::MetaProvider" => "4.102345",
    "Dist::Zilla::Role::PPI" => "4.300001",
    "Dist::Zilla::Util" => 0,
    "File::HomeDir" => 0,
    "File::Spec" => 0,
    "Moose" => "1.03",
    "Moose::Util::TypeConstraints" => "1.01",
    "PPI" => "1.206",
    "strict" => 0,
    "warnings" => 0
  },
  "VERSION" => "1.006",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.56) } ) {
  my $br = delete $WriteMakefileArgs{BUILD_REQUIRES};
  my $pp = $WriteMakefileArgs{PREREQ_PM};
  for my $mod ( keys %$br ) {
    if ( exists $pp->{$mod} ) {
      $pp->{$mod} = $br->{$mod} if $br->{$mod} > $pp->{$mod};
    }
    else {
      $pp->{$mod} = $br->{$mod};
    }
  }
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



